package dev.peerat.framework;

import javax.servlet.http.HttpServletRequest;

public class TomcatHttpReader extends HttpReader{

	private HttpServletRequest request;
	
	public TomcatHttpReader(HttpServletRequest request) throws Exception{
		super(request.getInputStream(), request.getReader());
		this.request = request;
	}

	@Override
	public boolean isClosed(){
		return false;
	}
	
	@Override
	void readHeaders() throws Exception{}
	
	@Override
	public String getHeader(String key){
		return request.getHeader(key);
	}
	
}
